GRANT CREATE ANY LIBRARY, 
      EXECUTE ANY TYPE,
      EXECUTE ANY PROCEDURE,
      ALTER ANY LIBRARY, 
      DROP ANY LIBRARY, 
      DROP ANY TYPE,
      DROP ANY PROCEDURE
  TO magyar;

CREATE OR REPLACE LIBRARY EmailLIB AS
   '/u01/app/oracle/product/11.2.0/xe/bin/EmailSender.dll';

CREATE OR REPLACE FUNCTION SENDRECEIPT
 (name IN VARCHAR2, email IN VARCHAR2, releases IN VARCHAR2)
 RETURN BINARY_INTEGER
 AS EXTERNAL
    LIBRARY EmailLib
    NAME "SendReceipt"
    LANGUAGE C
    PARAMETERS (name STRING, email STRING, releases STRING);