CREATE OR REPLACE TRIGGER albumok_onupdate
AFTER UPDATE OF eloado, cim
ON albumok
FOR EACH ROW
BEGIN
    UPDATE kiadvanyok
    SET kiadvanyok.eloado = :new.eloado,
        kiadvanyok.cim = :new.cim
    WHERE kiadvanyok.cim = :old.cim
        AND kiadvanyok.eloado = :old.eloado;
    UPDATE eladasok
    SET eladasok.eloado = :new.eloado,
        eladasok.cim = :new.cim
    WHERE eladasok.eloado = :old.eloado
		AND eladasok.cim = :old.cim;
END;
/

CREATE OR REPLACE TRIGGER kiadvanyok_onupdate
AFTER UPDATE OF kiadvanyszam
ON kiadvanyok
FOR EACH ROW
BEGIN
	UPDATE eladasok
	SET eladasok.kiadvanyszam = :new.kiadvanyszam
	WHERE eladasok.kiadvanyszam = :old.kiadvanyszam;
END;
/

CREATE OR REPLACE TRIGGER vasarlok_onupdate
AFTER UPDATE OF nev, cim
ON vasarlok
FOR EACH ROW
BEGIN
	UPDATE szamlak
	SET szamlak.vasarlo_neve = :new.nev,
		szamlak.vasarlo_cime = :new.cim
	WHERE szamlak.vasarlo_neve = :old.nev
		AND szamlak.vasarlo_cime = :old.cim;
END;
/

CREATE OR REPLACE TRIGGER szamlak_onupdate
AFTER UPDATE OF szamlaszam
ON szamlak
FOR EACH ROW
BEGIN
	UPDATE eladasok
	SET eladasok.szamlaszam = :new.szamlaszam
	WHERE eladasok.szamlaszam = :old.szamlaszam;
END;
/
